<template>
  <div class="dialog-table-container sub-page-inner">
    <div class="sub-table-container">
    <el-table
      :element-loading-background="loadingColor"
      v-loading="loading"
      height="calc(100% - 120px)"
      align="center"
      :data="tableData"
      class="dialog_table"
      :cell-style="{'text-align': 'center'}"
      :header-cell-style="{'text-align': 'center'}"
      ref="myTable"
      highlight-current-row
      @current-change="currentChange"
    >
      <el-table-column type="index" label="序号" width="60"></el-table-column>
      <el-table-column prop="projectName" label="项目名称" width="288">
      </el-table-column>
      <el-table-column prop="nationwideNum" width="100">
        <template #header>
            全国肯定(次)
        </template>
      </el-table-column>
      <el-table-column prop="mediaNum" width="100">
        <template #header>
            央媒报道(次)
        </template>
      </el-table-column>
      <el-table-column prop="brandAllSn" label="排位" width="60"> </el-table-column>
    </el-table>
    </div>
  </div>
</template>

<script>
import dialogComponents from '@/views/BigScreen/js/major_dialog_components.js'
import dialogConfig from '@/views/BigScreen/js/MajorProjectsDialogConfig.js'
import apiList from '@/api/bigScreen/majorView.js'
export default {
  name: 'brandList',
  components: {
    ...dialogComponents
  },
  props: {
    tableOptions: {
      type: Object,
      default: () => {
        return {}
      }
    }
  },
  data() {
    return {
      loading: false,
      loadingColor: 'rgba(6, 46, 106, 0.4)',
      tableData: [],
      showEasy: false,
      currentTabComponent: '',
      dialogOption: {
        dialogTitle: '',
        width: '60%',
        top: '2%'
      },
      tempTableOptions: null
    }
  },
  mounted() {
    this.loadData()
  },
  methods: {
    handleDetail(row, type) {
      this.currentTabComponent = dialogConfig.dialogOption[type].componentName
        ? dialogConfig.dialogOption[type].componentName
        : type // 动态组件名称
      let data = {
        ...dialogConfig.dialogOption[type].option,
        dialogTitle: `${row.projectName}改革经验详情`
      }
      let dataOptions = {
        ...dialogConfig.dialogOption[type].dataOptions,
        rowDate: row.effectDetail
      }

      this.tempTableOptions = dataOptions //table的查询参数
      this.dialogOption = data //弹窗配置参数
      this.showEasy = true
    },
    //--------数据-----------
    loadData() {
      this.loading = true
      let searchDate = sessionStorage.getItem('searchDate')
      searchDate = JSON.parse(searchDate)
      let data = {
        year: searchDate.year,
        month: searchDate.month
      }
      apiList.getProjectBrand(data, res => {
        if (res) {
          this.tableData = res
        }
        this.loading = false
      })
    }
  }
}
</script>
<style lang="scss" scoped></style>
<style lang="scss">
@import './table.scss';
</style>
